StaticMethodMatcherPointcutAdvisor (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.aop.support

## Class StaticMethodMatcherPointcutAdvisor

- java.lang.Object
- - org.springframework.aop.support.StaticMethodMatcher
  - - org.springframework.aop.support.StaticMethodMatcherPointcut
    - - org.springframework.aop.support.StaticMethodMatcherPointcutAdvisor

- All Implemented Interfaces:
    Serializable, Advisor, MethodMatcher, Pointcut, PointcutAdvisor, Ordered

      public abstract class StaticMethodMatcherPointcutAdvisor
      extends StaticMethodMatcherPointcut
      implements PointcutAdvisor, Ordered, Serializable

  Convenient base class for Advisors that are also static pointcuts. Serializable if Advice and subclass are.
  Author:
    Rod Johnson, Juergen Hoeller
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.core.Ordered

      `HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

    - ### Fields inherited from interface org.springframework.aop.Pointcut

      `TRUE`

    - ### Fields inherited from interface org.springframework.aop.MethodMatcher

      `TRUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StaticMethodMatcherPointcutAdvisor()` Create a new StaticMethodMatcherPointcutAdvisor, expecting bean-style configuration.
    `StaticMethodMatcherPointcutAdvisor(Advice advice)` Create a new StaticMethodMatcherPointcutAdvisor for the given advice.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Advice` | `getAdvice()` Return the advice part of this aspect.
    `int` | `getOrder()` Return the order value of this object, with a higher value meaning greater in terms of sorting.
    `Pointcut` | `getPointcut()` Get the Pointcut that drives this advisor.
    `boolean` | `isPerInstance()` Return whether this advice is associated with a particular instance (for example, creating a mixin) or shared with all instances of the advised class obtained from the same Spring bean factory.
    `void` | `setAdvice(Advice advice)`
    `void` | `setOrder(int order)`

    - ### Methods inherited from class org.springframework.aop.support.StaticMethodMatcherPointcut

      `getClassFilter, getMethodMatcher, setClassFilter`

    - ### Methods inherited from class org.springframework.aop.support.StaticMethodMatcher

      `isRuntime, matches`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.aop.MethodMatcher

      `matches`

- - ### Constructor Detail

    - #### StaticMethodMatcherPointcutAdvisor

          public StaticMethodMatcherPointcutAdvisor()

      Create a new StaticMethodMatcherPointcutAdvisor, expecting bean-style configuration.
      See Also:
        `setAdvice(org.aopalliance.aop.Advice)`

    - #### StaticMethodMatcherPointcutAdvisor

          public StaticMethodMatcherPointcutAdvisor(Advice advice)

      Create a new StaticMethodMatcherPointcutAdvisor for the given advice.
      Parameters:
        `advice` - the Advice to use

  - ### Method Detail

    - #### setOrder

          public void setOrder(int order)

    - #### getOrder

          public int getOrder()

      Description copied from interface: `Ordered`
      Return the order value of this object, with a higher value meaning greater in terms of sorting.

      Normally starting with 0, with `Integer.MAX_VALUE` indicating the greatest value. Same order values will result in arbitrary positions for the affected objects.

      Higher values can be interpreted as lower priority. As a consequence, the object with the lowest value has highest priority (somewhat analogous to Servlet "load-on-startup" values).

      Specified by:
        `getOrder` in interface `Ordered`
      Returns:
        the order value

    - #### setAdvice

          public void setAdvice(Advice advice)

    - #### getAdvice

          public Advice getAdvice()

      Description copied from interface: `Advisor`
      Return the advice part of this aspect. An advice may be an interceptor, a before advice, a throws advice, etc.
      Specified by:
        `getAdvice` in interface `Advisor`
      Returns:
        the advice that should apply if the pointcut matches
      See Also:
        `MethodInterceptor`, `BeforeAdvice`, `ThrowsAdvice`, `AfterReturningAdvice`

    - #### isPerInstance

          public boolean isPerInstance()

      Description copied from interface: `Advisor`
      Return whether this advice is associated with a particular instance (for example, creating a mixin) or shared with all instances of the advised class obtained from the same Spring bean factory.

      Note that this method is not currently used by the framework. Typical Advisor implementations always return `true`. Use singleton/prototype bean definitions or appropriate programmatic proxy creation to ensure that Advisors have the correct lifecycle model.

      Specified by:
        `isPerInstance` in interface `Advisor`
      Returns:
        whether this advice is associated with a particular target instance

    - #### getPointcut

          public Pointcut getPointcut()

      Description copied from interface: `PointcutAdvisor`
      Get the Pointcut that drives this advisor.
      Specified by:
        `getPointcut` in interface `PointcutAdvisor`